import LoginManager, LoginMethods, UserSources
from ImageFile import ImageFile

def initialize(context):
    context.registerClass(
        LoginManager.LoginManager,
        permission = 'Add User Folders',
        constructors = (LoginManager.manage_addLoginManagerForm,
                        LoginManager.manage_addLoginManager),
        icon = 'www/folder.gif',
    )

    context.registerBaseClass(UserSources.BasicUserSource)
    context.registerBaseClass(UserSources.LoginUser)

misc_={
    'loginmethod': ImageFile('www/loginmethod.gif', globals()),
    'user': ImageFile('www/user.gif', globals()),
    'usersource': ImageFile('www/usersource.gif', globals()),
}
