# Insert ZPL boilerplate 
 
import Portal, ZODBMember, SQLMember, PersistentUserSource
 
def initialize(context):
    # Portal classs
    context.registerBaseClass(Portal.DemoPortalBase, 'Demo Portal Base')

    # Membership classes
    context.registerBaseClass(ZODBMember.DemoZODBMemberBase, 
                              'Demo ZODB Member Base') 
    context.registerBaseClass(ZODBMember.DemoZODBMemberFolderBase, 
                              'Demo ZODB Member Folder Base') 
    context.registerBaseClass(SQLMember.DemoSQLMemberBase, 
                              'Demo SQL Member Base') 
    context.registerBaseClass(SQLMember.DemoSQLMemberFolderBase, 
                              'Demo SQL Member Folder Base')
    context.registerBaseClass(PersistentUserSource.MemberMixin,
                              'PTK Member Mix-in')
